Skip to main content
PATCH
/
utilization-target-periods
/
{id}
Update a utilization target period
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/utilization-target-periods/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetPercentage": 123,
  "start": "2023-12-25"
}
'
{
  "id": "7c3e1a94-d582-4b1e-8f63-29a0e5d71c84",
  "start": "2026-01-01",
  "targetPercentage": 85,
  "createdAt": "2026-01-05T10:23:41.512Z",
  "isDefault": false,
  "end": "2026-06-30"
}
A period defining a member’s billable utilization targets.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The utilization target period uuid.

Body

application/json
targetPercentage
number | null

The target billable utilization percentage for this period. Must be between 0 and 999.99.

start
string<date>

The start date for the period. Must be in the form YYYY-MM-DD.

Response

200

id
string

The unique identifier for the object.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

targetPercentage
number | null

The target billable utilization percentage for this period.

createdAt
string<date-time>

The timestamp when the object was created.

isDefault
boolean

Whether this is the default utilization target period for the member.

end
string<date> | null

The end date for the period. Will be in the form YYYY-MM-DD. null if the period has no end date.